﻿$packageName = 'source-han-serif-cn'
$global:packageMaintainer = 'davidpeng'
$url         = 'https://cdn.staticaly.com/gh/adobe-fonts/source-han-serif/1.001R/SubsetOTF/SourceHanSerifCN.zip'
$checksum    = 'BD75D74F38E0088F3425C8BB448EF03DC170386BCF2693A434141AA844B77A30'
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$destination = "$toolsDir\SourceHanSerifCN"
$fontDir     = "$destination"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'ZIP'
  url           = $url
  checksum      = $checksum 
  checksumType  = 'sha256'
  }
  
Install-ChocolateyZIPPackage @packageArgs

Install-ChocolateyFont "$fontDir\SourceHanSerifCN-Bold.otf"
Install-ChocolateyFont "$fontDir\SourceHanSerifCN-ExtraLight.otf"
Install-ChocolateyFont "$fontDir\SourceHanSerifCN-Heavy.otf"
Install-ChocolateyFont "$fontDir\SourceHanSerifCN-Light.otf"
Install-ChocolateyFont "$fontDir\SourceHanSerifCN-Medium.otf"
Install-ChocolateyFont "$fontDir\SourceHanSerifCN-Regular.otf"
Install-ChocolateyFont "$fontDir\SourceHanSerifCN-SemiBold.otf"
 
Remove-Item $destination -Recurse
